List Countries
curl --request GET \
--url https://{tenant}.fincode.software/api/v6/services/utilitiesmanagement/list-all-countries \
--header 'platform: <platform>' \
--header 'uuid: <uuid>'import requests
url = "https://{tenant}.fincode.software/api/v6/services/utilitiesmanagement/list-all-countries"
headers = {
"platform": "<platform>",
"uuid": "<uuid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {platform: '<platform>', uuid: '<uuid>'}};
fetch('https://{tenant}.fincode.software/api/v6/services/utilitiesmanagement/list-all-countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Security & Utilities
List Countries
Retrieves the systems’s saved country list.
GET
/
utilitiesmanagement
/
list-all-countries
List Countries
Retrieves the current list of countries stored in the system with their various properties like country name and iso3Codes. This endpoint helps client applications for where users country is required.
Request Headers
This endpoint is typically public and does not require an Access Token for authorization, relying on the organization domain provided in the URL.Platform identifier. Use
fincode.Unique request identifier.
Code Examples
curl --location 'https://remitjunction.fincode.software/api/v6/services/utilitiesmanagement/list-all-countries' \
--header 'platform: fincode' \
--header 'uuid: 200'
const axios = require('axios');
const BASE_URL =
'https://remitjunction.fincode.software/api/v6/services/utilitiesmanagement';
async function viewCountryList() {
try {
const response = await axios.get(`${BASE_URL}/list-all-countries`, {
headers: {
platform: 'fincode',
uuid: '200',
},
});
return response.data;
} catch (error) {
console.error(
'Failed to fetch country list:',
error.response?.data || error.message
);
throw error;
}
}
viewCountryList();
⌘I
